use std::env;
use std::path::PathBuf;

///
/// # Parameters
/// * `execution_path`: path of the command (directory arg) or current path
pub struct Config {
    pub execution_path: PathBuf,
}

impl Config {
    pub fn new(exec_path: Option<&String>) -> Self {
        Config {
            execution_path: match exec_path {
                Some(path) => PathBuf::from(path),
                None => PathBuf::from(env::current_dir().unwrap()),
            },
        }
    }
}
